Workspace
Your workspace and who is calling.
Who is calling
Section titled “Who is calling”GET
/v1/meResponse 200
data
workspaceIdstringrequireduserobject | nullrequiredNull when called with an API key.
user
userIdstringrequiredemailstring
rolestring | nullrequiredThe dashboard user’s role; null with an API key.
curl "https://api.marsial.dev/v1/me" \ -H "Authorization: Bearer $MARSIAL_API_KEY"const res = await fetch('https://api.marsial.dev/v1/me', { headers: { Authorization: `Bearer ${process.env.MARSIAL_API_KEY}`, },});const { data } = await res.json();import os, requests
res = requests.get( "https://api.marsial.dev/v1/me", headers={"Authorization": f"Bearer {os.environ['MARSIAL_API_KEY']}"},)data = res.json()["data"]Get the workspace
Section titled “Get the workspace”GET
/v1/workspaceResponse 200
data
idstringrequirednamestringrequiredusagestring | nullrequiredrequireApprovalbooleanrequiredPosts by members wait for an owner or admin to approve them.
requireAdsApprovalbooleanrequiredAd changes that spend money by members and AI agents wait for an owner or admin.
createdAtstring (date-time)required
curl "https://api.marsial.dev/v1/workspace" \ -H "Authorization: Bearer $MARSIAL_API_KEY"const res = await fetch('https://api.marsial.dev/v1/workspace', { headers: { Authorization: `Bearer ${process.env.MARSIAL_API_KEY}`, },});const { data } = await res.json();import os, requests
res = requests.get( "https://api.marsial.dev/v1/workspace", headers={"Authorization": f"Bearer {os.environ['MARSIAL_API_KEY']}"},)data = res.json()["data"]Update the workspace
Section titled “Update the workspace”PATCH
/v1/workspaceDashboard onlyBody
namestringusagestringrequireApprovalbooleanPosts by members wait for an owner or admin to approve them.
requireAdsApprovalbooleanAd changes that spend money by members and AI agents wait for an owner or admin to approve them.
Response 200
data
idstringrequirednamestringrequiredusagestring | nullrequiredrequireApprovalbooleanrequiredPosts by members wait for an owner or admin to approve them.
requireAdsApprovalbooleanrequiredAd changes that spend money by members and AI agents wait for an owner or admin.
createdAtstring (date-time)required
curl -X PATCH "https://api.marsial.dev/v1/workspace" \ -H "Authorization: Bearer $MARSIAL_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "usage": "api" }'const res = await fetch('https://api.marsial.dev/v1/workspace', { method: 'PATCH', headers: { Authorization: `Bearer ${process.env.MARSIAL_API_KEY}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ "usage": "api" }),});const { data } = await res.json();import os, requests
res = requests.patch( "https://api.marsial.dev/v1/workspace", headers={"Authorization": f"Bearer {os.environ['MARSIAL_API_KEY']}"}, json={ "usage": "api" },)data = res.json()["data"]© 2026 Marsial by TWOFACES ·marsial.dev ·Dashboard ·soporte@twofacesco.com